## cascading.tuple.coerce
Class DoubleCoerce

    java.lang.Object
      cascading.tuple.coerce.Coercions.Coerce<Double>
          cascading.tuple.coerce.DoubleCoerce

All Implemented Interfaces:
  CoercibleType<Double>, Serializable, Type

    public class DoubleCoerce

extends Coercions.Coerce<Double>

See Also:
  Serialized Form

Constructor Summary
`protected` `DoubleCoerce(Map<Type,Coercions.Coerce> map)`

Method Summary
`Double` `coerce(Object value)`
`Class<Double>` `getCanonicalType()`

Methods inherited from class cascading.tuple.coerce.Coercions.Coerce
`canonical, coerce, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleCoerce

    protected DoubleCoerce(Map<Type,Coercions.Coerce> map)

Method Detail

### getCanonicalType

    public Class<Double> getCanonicalType()

  Returns:
    the actual Java type this CoercibleType represents

### coerce

    public Double coerce(Object value)

  Specified by:
    `coerce` in class `Coercions.Coerce<Double>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.